Subject: bug#65183: 29.1; Child frame moving and resizing problems

From: martin rudalics <[email-masked]>
Date: Tue, 15 Aug 2023 08:38:36 +0200

> Since I'm not familiar with Emacs' source code and the ideas, I find it
 > difficult
 > to write the patch code that has fewer duplicates, covers all corner cases,
 > and is easy to maintain. So, I decided not to write this code.

That's a pity.  From what you wrote so far I was convinced that you had
already covered everything needed.

 > But I'm sure the resize and move functions can solve the issue that I
 > mentioned
 > in my first email, based on my tests.
 >
 > By the way, I suggest naming the function to add as
 > `set-frame-position-and-size'
 > instead of `set-frame-size-and-position', because most underlying APIs are
 > called
 > xxx_move_resize_xxx: `gdk_window_move_resize' (GTK), `XMoveResizeWindow'
 > (X11),
 > `MoveWindow(hWnd, X, Y, nWidth, nHeight, bRepaint)' (Windows).

I'll look into it when I have time.

Thanks, martin